(D)DoS Deflate Interface (Plesk)

Category: 

Plesk Extensions,  

(D)DoS Deflate is a light weight shell script that aides in mitigating DDoS attacks automatically. The script runs in the background and blocks IP addresses from which connections exceed the configured threshold. The (D)DoS Deflate Interface (Plesk) extension  provides an easy way to install and a GUI to configure this tool.

- Price Per Month - By clicking on the “Buy” button on this website, it is understood that you have read and understood Admin-Ahead End User Agreement.

- Price Per Month
- Read Admin-Ahead End User Agreement.

Main Features

Installation of (D)DoS Deflate.

Configuration options

- Automatically detects and configures script to use APF/CSF/IPTables/FirewallD
- Script execution frequency
- Threshold for connections to webserver
- Temporary IP ban duration
- Notification email address to which IP ban alerts are sent (set to Plesk admin’s email address by default).

Whitelist known IP addresses

View and manage Temporarily banned IP addresses - Remove ban / Permanently ban IP




Supported OS

Centos 6 & above , RHEL 6 & above , Ubuntu 14 & above

Supported Plesk Versions

Plesk 12.5 and above.


Latest Update (3.0.0)

Changelog:

- Automatically detects and configures script to use APF if present, else Iptables or CSF is used.
- Enhanced user interface.
- Enabled Firewalld support.
- Added option to remove IP address from temporary block list.
- Added option to block IP permanently from temporary block list.
- Latest Plesk support (17.8).
- Minimum Plesk version supported is now 12.5.